Index: BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/VERSION
===================================================================
--- BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/VERSION	(revision a6966fa8712cec241deb9329e43f671795135e2a)
+++ BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/VERSION	(revision 9642843445e7bc7989dbb851df6a5ed026d21a22)
@@ -3,15 +3,23 @@
   xmlns:fm="http://freshmeat.net/projects/freshmeat-submit/"
   xmlns:sf="http://sourceforge.net/"
+  xmlns:dyn="http://exslt.org/dynamic"
+  xmlns:saxon="http://icl.com/saxon"
   exclude-result-prefixes="fm sf"
   version='1.0'>
 
+<xsl:output omit-xml-declaration="yes"/>
+
+<xsl:param name="get"/>
 <xsl:param name="VERSION" select="string(document('')//fm:Version[1])"/>
+<xsl:param name="Tag" select="concat('V',translate(string(document('')//fm:Version[1]),'.',''))"/>
 <xsl:param name="DistroTitle" select="string(document('')//fm:Branch[1])"/>
+<xsl:param name="sf-relid" select="0"/>
+
 <xsl:param name="DistroName">docbook-xsl</xsl:param>
 <xsl:param name="PreviousRelease">1.72.0</xsl:param>
-<xsl:param name="PreviousReleaseRevision">6553</xsl:param>
+<xsl:param name="PreviousReleaseRevision">6549</xsl:param>
 <xsl:param name="Revision">$Revision$</xsl:param>
 <xsl:param name="VersionFileURL">$URL: https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/xsl/VERSION $</xsl:param>
-<xsl:param name="sf-relid" select="0"/>
+
 <xsl:strip-space elements="fm:*"/>
 
@@ -19,5 +27,5 @@
   <fm:Project>DocBook</fm:Project>
   <fm:Branch>XSL Stylesheets</fm:Branch>
-  <fm:Version>snapshot_7094</fm:Version>
+  <fm:Version>1.73.2</fm:Version>
 <!--
   <fm:License>MIT/X Consortium License</fm:License>
@@ -28,6 +36,6 @@
 <!-- * Code cleanup -->
 <!-- * Minor feature enhancements -->
-Major feature enhancements
-<!-- * Minor bugfixes -->
+<!-- * Major feature enhancements -->
+Minor bugfixes
 <!-- * Major bugfixes -->
 <!-- * Minor security fixes -->
@@ -41,20 +49,34 @@
   <fm:CVS-URL>http://docbook.svn.sourceforge.net/viewvc/docbook/</fm:CVS-URL>
   <fm:Mailing-List-URL>http://lists.oasis-open.org/archives/docbook-apps/</fm:Mailing-List-URL>
-  <fm:Changes>This is a bug-fix release with a few feature enhancements.
+  <fm:Changes>This is a bug-fix update to the 1.73.1 release.
 </fm:Changes>
 </fm:project>
 
 <xsl:template match="/" priority="-100">
-  <xsl:if test="$sf-relid = 0">
-    <xsl:message terminate="yes">
-      <xsl:text>You must specify the sf-relid as a parameter.</xsl:text>
-    </xsl:message>
-  </xsl:if>
-
-  <xsl:apply-templates select="//fm:project"/>
+  <xsl:choose>
+    <xsl:when test="$get = 'Tag'">
+      <xsl:value-of select="$Tag"/>
+    </xsl:when>
+    <xsl:when test="$get = 'PreviousRelease'">
+      <xsl:value-of select="$PreviousRelease"/>
+    </xsl:when>
+    <xsl:when test="$get = 'PreviousReleaseRevision'">
+      <xsl:value-of select="$PreviousReleaseRevision"/>
+    </xsl:when>
+    <xsl:when test="$get = 'DistroTitle'">
+      <xsl:value-of select="$DistroTitle"/>
+    </xsl:when>
+    <xsl:otherwise>
+      <xsl:if test="$sf-relid = 0">
+        <xsl:message terminate="yes">
+         <xsl:text>You must specify the sf-relid as a parameter.</xsl:text>
+        </xsl:message>
+      </xsl:if>
+      <xsl:apply-templates select="//fm:project"/>
+    </xsl:otherwise>
+  </xsl:choose>
 </xsl:template>
 
 <xsl:template match="fm:project">
-  <xsl:text>&#10;</xsl:text>
   <xsl:apply-templates/>
   <xsl:text>&#10;</xsl:text>
Index: BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/pi.xsl
===================================================================
--- BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/pi.xsl	(revision a6966fa8712cec241deb9329e43f671795135e2a)
+++ BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/pi.xsl	(revision 9642843445e7bc7989dbb851df6a5ed026d21a22)
@@ -90,5 +90,5 @@
   <refpurpose>Inserts a date timestamp</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbtimestamp</tag> PI at any point in a
+    <para>Use the <tag class="xmlpi">dbtimestamp</tag> PI at any point in a
       source document to cause a date timestamp (a formatted
       string representing the current date and time) to be
Index: BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/stripns.xsl
===================================================================
--- BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/stripns.xsl	(revision a6966fa8712cec241deb9329e43f671795135e2a)
+++ BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/stripns.xsl	(revision 9642843445e7bc7989dbb851df6a5ed026d21a22)
@@ -17,15 +17,5 @@
      copyright and other information.
 
-     This file contains general templates common to both the HTML and FO
-     versions of the DocBook stylesheets.
      ******************************************************************** -->
-
-<xsl:import href="utility.xsl"/>
-
-<!-- * Get a title for current doc so that we let the user -->
-<!-- * know what document we are processing at this point. -->
-<xsl:variable name="doc.title">
-  <xsl:call-template name="get.doc.title"/>
-</xsl:variable>
 
 <!-- put an xml:base attribute on the root element -->
@@ -268,24 +258,9 @@
         </xsl:when>
         <xsl:otherwise>
-          <xsl:call-template name="log.message">
-            <xsl:with-param name="level">Warn</xsl:with-param>
-            <xsl:with-param name="source" select="$doc.title"/>
-            <xsl:with-param name="context-desc">
-              <xsl:text>no @xml:base</xsl:text>
-            </xsl:with-param>
-            <xsl:with-param name="message">
-              <xsl:text>cannot add @xml:base to node-set root element</xsl:text>
-            </xsl:with-param>
-          </xsl:call-template>
-          <xsl:call-template name="log.message">
-            <xsl:with-param name="level">Warn</xsl:with-param>
-            <xsl:with-param name="source" select="$doc.title"/>
-            <xsl:with-param name="context-desc">
-              <xsl:text>no @xml:base</xsl:text>
-            </xsl:with-param>
-            <xsl:with-param name="message">
-              <xsl:text>relative paths may not work</xsl:text>
-            </xsl:with-param>
-          </xsl:call-template>
+          <xsl:message>
+            <xsl:text>WARNING: cannot add @xml:base to node </xsl:text>
+            <xsl:text>set root element.  </xsl:text>
+            <xsl:text>Relative paths may not work.</xsl:text>
+          </xsl:message>
         </xsl:otherwise>
       </xsl:choose>
Index: BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/utility.xsl
===================================================================
--- BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/utility.xsl	(revision a6966fa8712cec241deb9329e43f671795135e2a)
+++ BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/common/utility.xsl	(revision 9642843445e7bc7989dbb851df6a5ed026d21a22)
@@ -32,5 +32,5 @@
     <note>
       <para>These templates are defined in a separate file from the set
-        of âcommonâ templates because some of the comment templates
+        of âcommonâ templates because some of the common templates
         reference DocBook XSL stylesheet parameters, requiring the
         entire set of parameters to be imported/included in any
Index: BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/admon.xsl
===================================================================
--- BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/admon.xsl	(revision a6966fa8712cec241deb9329e43f671795135e2a)
+++ BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/admon.xsl	(revision 9642843445e7bc7989dbb851df6a5ed026d21a22)
@@ -86,5 +86,7 @@
             <xsl:if test="$admon.textlabel != 0 or title or info/title">
               <fo:block xsl:use-attribute-sets="admonition.title.properties">
-                <xsl:apply-templates select="." mode="object.title.markup"/>
+                <xsl:apply-templates select="." mode="object.title.markup">
+		  <xsl:with-param name="allow-anchors" select="1"/>
+		</xsl:apply-templates>
               </fo:block>
             </xsl:if>
@@ -108,5 +110,7 @@
       <fo:block keep-with-next.within-column='always'
                 xsl:use-attribute-sets="admonition.title.properties">
-         <xsl:apply-templates select="." mode="object.title.markup"/>
+         <xsl:apply-templates select="." mode="object.title.markup">
+	   <xsl:with-param name="allow-anchors" select="1"/>
+	 </xsl:apply-templates>
       </fo:block>
     </xsl:if>
Index: BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/footnote.xsl
===================================================================
--- BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/footnote.xsl	(revision a6966fa8712cec241deb9329e43f671795135e2a)
+++ BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/footnote.xsl	(revision 9642843445e7bc7989dbb851df6a5ed026d21a22)
@@ -91,5 +91,5 @@
         <xsl:number level="any" 
                     from="chapter|appendix|preface|article|refentry|bibliography" 
-                    count="footnote[not(@label)][not(ancestor::table) and not(ancestor::informaltable)]|ulink[$ulink.footnotes != 0][node()][@url != .][not(ancestor::footnote)][ulink.show != 0]" 
+                    count="footnote[not(@label)][not(ancestor::table) and not(ancestor::informaltable)]|ulink[$ulink.footnotes != 0][node()][@url != .][not(ancestor::footnote)][$ulink.show != 0]" 
                     format="1"/>
       </xsl:variable>
Index: BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/graphics.xsl
===================================================================
--- BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/graphics.xsl	(revision a6966fa8712cec241deb9329e43f671795135e2a)
+++ BOOK/stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/graphics.xsl	(revision 9642843445e7bc7989dbb851df6a5ed026d21a22)
@@ -376,7 +376,9 @@
           </xsl:choose>
         </xsl:when>
-        <xsl:otherwise>
-          <a xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"
-             href="{$filename}"/>
+	<xsl:otherwise>
+	  <xsl:message terminate="yes">
+	    <xsl:text>Cannot insert </xsl:text><xsl:value-of select="$filename"/>
+	    <xsl:text>. Check use.extensions and textinsert.extension parameters.</xsl:text> 
+	  </xsl:message>
         </xsl:otherwise>
       </xsl:choose>
@@ -495,7 +497,9 @@
         </xsl:when>
         <xsl:otherwise>
-          <a xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"
-             href="{$filename}"/>
-        </xsl:otherwise>
+	  <xsl:message terminate="yes">
+	    <xsl:text>Cannot insert </xsl:text><xsl:value-of select="$filename"/>
+	    <xsl:text>. Check use.extensions and textinsert.extension parameters.</xsl:text> 
+	  </xsl:message>
+	</xsl:otherwise>
       </xsl:choose>
     </xsl:when>
@@ -533,4 +537,5 @@
 
 <xsl:template match="textdata">
+  <xsl:variable name="vendor" select="system-property('xsl:vendor')"/>
   <xsl:variable name="filename">
     <xsl:choose>
@@ -565,14 +570,17 @@
           <xtext:insertfile href="{$filename}"/>
         </xsl:when>
-        <xsl:otherwise>
-          <xsl:message terminate="yes">
-            <xsl:text>No insertfile extension available.</xsl:text>
-          </xsl:message>
-        </xsl:otherwise>
+	<xsl:otherwise>
+	  <xsl:message terminate="yes">
+	    <xsl:text>Don't know how to insert files with </xsl:text>
+	    <xsl:value-of select="$vendor"/>
+	  </xsl:message>
+	</xsl:otherwise>
       </xsl:choose>
     </xsl:when>
     <xsl:otherwise>
-      <a xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"
-         href="{$filename}"/>
+      <xsl:message terminate="yes">
+	<xsl:text>Cannot insert </xsl:text><xsl:value-of select="$filename"/>
+	<xsl:text>. Check use.extensions and textinsert.extension parameters.</xsl:text> 
+      </xsl:message>
     </xsl:otherwise>
   </xsl:choose>
